<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="coopcycleApp.boutique.home.createOrEditLabel"
          data-cy="BoutiqueCreateUpdateHeading"
          v-text="$t('coopcycleApp.boutique.home.createOrEditLabel')"
        >
          Create or edit a Boutique
        </h2>
        <div>
          <div class="form-group" v-if="boutique.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="boutique.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('coopcycleApp.boutique.idBoutique')" for="boutique-idBoutique">Id Boutique</label>
            <input
              type="number"
              class="form-control"
              name="idBoutique"
              id="boutique-idBoutique"
              data-cy="idBoutique"
              :class="{ valid: !$v.boutique.idBoutique.$invalid, invalid: $v.boutique.idBoutique.$invalid }"
              v-model.number="$v.boutique.idBoutique.$model"
              required
            />
            <div v-if="$v.boutique.idBoutique.$anyDirty && $v.boutique.idBoutique.$invalid">
              <small class="form-text text-danger" v-if="!$v.boutique.idBoutique.required" v-text="$t('entity.validation.required')">
                This field is required.
              </small>
              <small class="form-text text-danger" v-if="!$v.boutique.idBoutique.numeric" v-text="$t('entity.validation.number')">
                This field should be a number.
              </small>
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('coopcycleApp.boutique.produit')" for="boutique-produit">Produit</label>
            <select class="form-control" id="boutique-produit" data-cy="produit" name="produit" v-model="boutique.produit">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="boutique.produit && produitOption.id === boutique.produit.id ? boutique.produit : produitOption"
                v-for="produitOption in produits"
                :key="produitOption.id"
              >
                {{ produitOption.id }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.boutique.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./boutique-update.component.ts"></script>
